2023.08.07, v14.1.0

feature:
- 02ac0bd package: nodemon v3.0.1
- 9b53db8 package: eslint-plugin-putout v19.0.3
- 0ab9410 package: babel-loader v9.1.3
- ba86220 package: clean-css-loader v4.2.1
- a73ae86 package: css-loader v6.8.1
- 983187b package: webpack-cli v5.1.4
- b4ac399 package: putout v31.0.3
- e2058b2 package: rimraf v5.0.1
- 9ff170f ace v1.23.4

2022.05.12, v14.0.0

feature:
- (edward) drop support of node < 16
- (package) socket-file v6.0.0
- (package) eslint-plugin-putout v15.1.1
- (package) putout v26.0.1
- (package) restafary v11.1.0
- (package) madrun v9.0.3
- (edward) ace v1.5.0


2021.08.16, v13.0.3

feature:
- (modules) socket.io v4.1.3
- (package) eslint-plugin-putout v9.0.2
- (package) putout v18.14.0
- (package) style-loader v3.2.1
- (package) socket.io v4.1.3
- (package) es6-promisify v7.0.0
- (package) eslint v8.0.0-beta.0


2021.02.28, v13.0.2

feature:
- (package) putout v15.3.1
- (package) restafary v10.0.0
- (package) putout v14.0.0
- (package) eslint-plugin-putout v7.0.0
- (package) restbox v3.0.0


2021.01.25, v13.0.1

feature:
- (package) join-io v5.0.0


2021.01.19, v13.0.0

feature:
- (package) restafary v9.1.1
- (edward) drop support of node < 14
- (package) putout v13.7.1
- (package) madrun v8.6.0
- (package) socket.io v3.1.0
- (package) socket-file v5.0.0


2020.11.22, v12.0.14

fix:
- (edward) jssha.default -> jssha


2020.11.04, v12.0.13

feature:
- (package) smalltalk v4.0.7
- (package) putout v11.0.4
- (package) eslint-plugin-putout v6.0.1
- (package) webpack-cli v4.0.0
- (package) webpack v5.1.3
- (package) style-loader v2.0.0
- (package) css-loader v5.0.0
- (package) putout v10.0.3
- (package) css-loader v4.3.0


2020.07.14, v12.0.12

feature:
- (bower) ace v1.4.12


2020.06.26, v12.0.11

fix:
- (server) edit: data -> Edit

feature:
- (package) eslint-plugin-putout v5.0.1
- (package) putout v9.1.0
- (package) madrun v7.0.0


2020.06.06, v12.0.10

feature:
- (server) simplify
- (package) eslint v7
- (package) putout v8.1.0
- (package) madrun v6.0.1
- (package) eslint-plugin-putout v4.0.2


2020.04.26, v12.0.9

fix:
- (dward) jssh: default


2020.04.16, v12.0.8

feature:
- (package) jssha v3.1.0
- (bower) ace v1.4.10
- (package) jssha v3.0.0


2020.04.01, v12.0.7

feature:
- (bower) ace v1.4.9


2020.03.31, v12.0.6

feature:
- (package) smalltalk v4.0.6
- (package) url-loader v4.0.0


2020.03.06, v12.0.5

fix:
- (server) edit: await


2020.03.06, v12.0.4

fix:
- (edit) json


2020.03.06, v12.0.3

fix:
- (server) edit: readjson


2020.03.02, v12.0.2

feature:
- (package) socket-file v4.0.0
- (package) readjson v2.0.1


2020.02.26, v12.0.1

feature:
- (package) try-to-catch v3.0.0


2020.02.21, v12.0.0

feature:
- (edward) drop support of node < 10
- (package) join-io v4.0.0


2020.01.30, v11.2.6

feature:
- (package) @cloudcmd/clipboard v2.0.0


2020.01.17, v11.2.5

feature:
- (package) eslint-plugin-node v11.0.0
- (package) emitify v4.0.1
- (bower) ace v1.4.8
- (package) url-loader v3.0.0
- (package) nodemon v2.0.1
- (package) eslint-plugin-putout v3.0.0
- (package) putout v7.0.2
- (package) madrun v5.0.0
- (package) madrun v4.1.4


2019.10.18, v11.2.4

fix:
- (edward) loadremote (coderaiser/cloudcmd/#257)

feature:
- (bower) ace-builds v1.4.7
- (package) try-to-catch v2.0.0


2019.10.08, v11.2.3

fix:
- (edward) loadremote (#257)


2019.10.03, v11.2.2

fix:
- (server) maybe


2019.09.25, v11.2.1

fix:
- (server) listen: maybe root

feature:
- (package) rm unused fullstore


2019.09.24, v11.2.0

fix:
- (edward) singletone root (coderaiser/cloudcmd/issues/254)

feature:
- (package) restafary v8.0.1
- (package) smalltalk v4.0.2
- (package) restbox v2.0.0


2019.09.19, v11.1.4

feature:
- (package) load.js v3.0.2
- (package) putout v6.1.0
- (package) @cloudcmd/create-element v2.0.1
- (package) currify v4.0.0


2019.09.11, v11.1.3

feature:
- (client) rm legacy
- (package) rm unused ashify


2019.09.09, v11.1.2

feature:
- (package) fullstore v2.0.2


2019.09.08, v11.1.1

feature:
- (edward) ace v1.4.6
- (package) eslint-plugin-node v10.0.0
- (package) wraptile v3.0.0


2019.09.04, v11.1.0

feature:
- (edward) drop legacy support
- (package) madrun v3.0.1
- (package) restafary v7.0.0


2019.08.23, v11.0.3

feature:
- (edward) _Value -> _value
- (package) putout v5.7.1
- (package) rimraf v3.0.0


2019.08.21, v11.0.2

fix:
- (init-socket) disconnect: patch -> _patch

feature:
- (package) eslint-plugin-putout v2.0.0
- (package) style-loader v1.0.0
- (edward) simplify lint
- (package) eslint v6.0.1


2019.06.18, v11.0.1

feature:
- (package) css-loader v3.0.0
- (bower) ace v1.4.5
- (package) url-loader v2.0.0


2019.05.06, v11.0.0

feature:
- (package) clean-css-loader v2.0.0
- (edward) drop support of jshint


2019.04.29, v10.0.1

feature:
- (bower) ace-builds v1.4.4


2019.04.01, v10.0.0

feature:
- (edward) drop support of minify, beautify


2019.02.22, v9.1.4

feature:
- (bower) ace v1.4.3
- (edward) redrun -> madrun
- (package) putout v4.0.1
- (package) madrun v2.0.0


2019.02.15, v9.1.3

feature:
- (package) restafary v5.0.8
- (package) css-loader v2.0.1


2018.12.04, v9.1.2

feature:
- (modules) socket.io v2.2.0


2018.11.21, v9.1.1

feature:
- (bower) ace v1.4.2


2018.11.09, v9.1.0

feature:
- (edward) add dropbox support


2018.10.30, v9.0.1

fix:
- docs(ChangeLog) rm 

feature:
- (server) edward: rm condition has no sense


2018.10.25, v9.0.0

feature:
- (edward) split prefix to: prefix and prefixSocket


2018.10.24, v8.0.10

feature:
- (package) join-io v3.0.1


2018.10.23, v8.0.9

fix:
- (edward) _diff


2018.10.23, v8.0.8

fix:
- (edward) message on save error


2018.10.22, v8.0.7

fix:
- (babelrc) regenerator runtime


2018.10.18, v8.0.6

fix:
- (init-socket) applyPatch


2018.10.18, v8.0.5

fix:
- (package) build

feature:
- (package) jssha: bower -> package
- (edward) callback -> async
- (package) add build:start, build:start:dev


2018.10.17, v8.0.4

feature:
- (package) socket-file v3.0.0


2018.10.17, v8.0.3

feature:
- (package) rm unused patchfile


2018.10.16, v8.0.2

feature:
- (package) restafary v5.0.0


2018.10.09, v8.0.1

feature:
- (package) currify v3.0.0
- (package) redrun v7.0.0


2018.09.26, v8.0.0

feature:
- (package) drop support of node < 8
- (package) restafary v4.0.0


2018.09.19, v7.0.13

feature:
- (edward) add once from npm


2018.09.19, v7.0.12

feature:
- (package) add @cloudcmd/create-element


2018.09.18, v7.0.11

feature:
- (package) load.js v2.0.0
- (package) style-loader v0.23.0
- (package) babel v7.0.0


2018.08.08, v7.0.10

feature:
- (package) add emitify from npm


2018.08.08, v7.0.9

feature:
- (package) style-loader v0.22.0
- (bower) ace v1.4.1


2018.08.06, v7.0.8

feature:
- (bower) ace v1.4.0


2018.07.16, v7.0.7

feature:
- (package) @cloudcmd/clipboard v1.0.2


2018.07.10, v7.0.6

feature:
- (package) smalltalk v3.1.0
- (package) css-loader v1.0.0
- (package) eslint v5.0.1
- (package) webpack-cli v3.0.1


2018.05.22, v7.0.5

feature:
- (modules) socket.io v2.1.1


2018.05.15, v7.0.4

feature:
- (package) add @cloudcmd/clipboard


2018.05.03, v7.0.3

feature:
- (package) wraptile v2.0.0
- (package) clean-css-loader v1.0.1


2018.04.27, v7.0.2

feature:
- (package) smalltalk v3.0.0
- (package) rm unused rendy
- (package) style-loader v0.21.0


2018.04.02, v7.0.1

feature:
- (modules) socket.io v2.1.0


2018.03.30, v7.0.0

feature:
- (edward) socket-file v2.0.0: authCheck -> auth


2018.03.27, v6.1.8

feature:
- (bower) ace v1.3.3


2018.03.22, v6.1.7

feature:
- (bower) ace-builds v1.3.2


2018.03.21, v6.1.6

fix:
- (package) add redrun

feature:
- (package) os-homedir -> os.homedir


2018.02.28, v6.1.5

feature:
- (package) webpack v4.0.1


2018.02.12, v6.1.4

feature:
- (package) ace-builds v1.3.1


2018.01.31, v6.1.3

fix:
- (set-key-map) vim mode save


2018.01.31, v6.1.2

fix:
- (set-key-map) add ability to use vim key map


2018.01.31, v6.1.1

feature:
- (bower) ace v1.3.0
- (package) style-loader v0.20.1


2017.12.08, v6.1.0

feature:
- (edward) vim: add ability to write file with :w command


2017.11.10, v6.0.9

feature:
- (edward) addCommands: add wraptile


2017.10.19, v6.0.8

feature:
- (bower) smalltalk v2.5.1


2017.10.17, v6.0.7

feature:
- (bower) ace-builds v1.2.9


2017.10.09, v6.0.6

feature:
- (bower) smalltalk v2.5.0


2017.10.06, v6.0.5

feature:
- (bower) rm unused requirejs
- (package) add load.js from npm


2017.10.06, v6.0.4

fix:
- feature(edward) serve options -> edward prefix

feature:
- (edward) serve options -> edward prefix
- (package) style-loader v0.19.0


2017.09.22, v6.0.3

feature:
- (bower) smalltalk v2.4.2
- (package) babel-preset-es2015 -> babel-preset-env
- (bower) requirejs v2.3.5


2017.07.25, v6.0.2

feature:
- (bower) requirejs v2.3.4


2017.07.14, v6.0.1

fix:
- (index) restafary/legacy -> restafary


2017.07.14, v6.0.0

feature:
- (package) join-io v2.0.0
- (package) restafary v3.0.0
- (package) socket.io v2.0.3
- (edward) drop support of node < 4


2017.07.14, v5.0.8

fix:
- (edward) socket.io: support of node < 4


2017.07.14, v5.0.7

fix:
- (edward) node version < 4 support


2017.07.14, v5.0.6

feature:
- (package) restafary v3.0.0


2017.07.13, v5.0.5

feature:
- (package) join-io v2.0.0


2017.07.12, v5.0.4

fix:
- (index) node v4 support


2017.07.12, v5.0.3

fix:
- (index) node v4 support


2017.07.12, v5.0.2

fix:
- (index) node v4 support


2017.07.10, v5.0.1

feature:
- (bower) smalltalk v2.4.1


2017.07.04, v5.0.0

feature:
- (edward) rm option minify
- (package) zipio add from npm
- (daffy) add from npm
- (npmignore) add execon
- (css) add minification


2017.07.03, v4.5.5

feature:
- (bower) ace v1.2.8
- (package) webpack v3.0.0


2017.06.19, v4.5.4

feature:
- (bower) ace v1.2.7
- (modules) socket.io v2.0.3
- (package) eslint v4.0.0


2017.06.06, v4.5.3

feature:
- (_init-socket) add
- (gitignore) add package-lock.json
- (travis) node_js: 8


2017.05.25, v4.5.2

fix:
- (edit) emmet: disable by default
- (edward) window.exec


2017.05.25, v4.5.1

feature:
- (npmignore) add bower.json
- (edward) add execon from npm


2017.05.25, v4.5.0

fix:
- (edward) _setEmmet

feature:
- (_set_emmet) add
- (emmet) mv to vendor
- (save) add
- (edward) add webpack


2017.05.23, v4.4.1

feature:
- (bower) smalltalk v2.4.0


2017.05.23, v4.4.0

fix:
- (client) emitify

feature:
- (package) add eslint
- (edward) minify: false
- (server) storage -> fullstore


2017.05.18, v4.3.2

fix:
- (client) prevent config overwrite


2017.05.18, v4.3.1

fix:
- (edward) _Config


2017.05.18, v4.3.0

feature:
- (edward) setOption: preventOverwrite options


2017.05.17, v4.2.12

feature:
- (bower) emitify v3.1.0


2017.05.17, v4.2.11

feature:
- (bower) smalltalk v2.3.0


2017.05.16, v4.2.10

feature:
- (bower) smalltalk v2.2.2


2017.05.10, v4.2.9

feature:
- (bower) smalltalk v2.2.1


2017.05.10, v4.2.8

feature:
- (package) socket.io v2.0.1


2017.04.28, v4.2.7

feature:
- (bower) emitify v3.0.2


2017.04.28, v4.2.6

feature:
- (bower) emitify v3.0.1


2017.03.01, v4.2.5

feature:
- (modules) socket.io v1.7.3


2017.02.24, v4.2.4

feature:
- (bower) requirejs v2.3.3


2017.02.24, v4.2.3

feature:
- (bower) smalltalk v2.2.0


2017.02.23, v4.2.2

feature:
- (bower) smalltalk v2.1.4


2017.01.17, v4.2.1

feature:
- (package) restafary v2.0.0


2016.12.29, v4.2.0

feature:
- (edward) add isKey, enableKey, disableKey


2016.12.09, v4.1.1

feature:
- (package) ~ -> ^
- (package) restafary v1.7.0


2016.12.05, v4.1.0

feature:
- (ext) json: .eslintrc
- (bower) ace v1.2.6


2016.11.23, v4.0.2

feature:
- (package) currify v2.0.0
- (gitignore) add legacy, server_
- (travis) node_js: add 7


2016.10.24, v4.0.1

feature:
- (package) add edward_


2016.10.24, v4.0.0

feature:
- (edward) es2015-ify


2016.10.08, v3.2.8

feature:
- (package) socket.io v1.5.0


2016.10.04, v3.2.7

feature:
- (bower) smalltalk v2.1.3


2016.09.23, v3.2.6

fix:
- (client) auth emit before socket creation

feature:
- (modules) pako v1.0.3
- (modules) online: ace v1.2.5: add requirejs, jsdelivr -> cdnjs
- (modules) socket.io v1.4.8


2016.08.29, v3.2.5

feature:
- (bower) ace v1.2.5


2016.08.08, v3.2.4

feature:
- (bower) smalltalk v2.1.2


2016.07.28, v3.2.3

feature:
- (bower) ace v1.2.4


2016.07.25, v3.2.2

feature:
- (bower) smalltalk v2.1.1


2016.07.21, v3.2.1

feature:
- (bower) smalltalk v2.1.0


2016.07.18, v3.2.0

feature:
- (edward) add reject


2016.07.15, v3.1.3

fix:
- (client) _onSave -> onSave


2016.07.15, v3.1.2

feature:
- (bower) smalltalk v2.0.0


2016.07.14, v3.1.1

feature:
- (npmignore) rm .*


2016.07.14, v3.1.0

feature:
- (client) auth
- (bower) emitify v2.1.1
- (edward) add authCheck


2016.06.17, v3.0.7

feature:
- (package) express v4.14.0


2016.06.03, v3.0.6

feature:
- (bower) emitify v2.1.0


2016.05.16, v3.0.5

feature:
- (bower) jsSHA v2.1.0


2016.05.11, v3.0.4

feature:
- (bower) smalltalk v1.6.8
- (client) var -> global


2016.03.21, v3.0.3

feature:
- (bower) smalltalk v1.6.7


2016.03.15, v3.0.2

fix:
- (client) evaluate: edward.focus -> focus


2016.03.15, v3.0.1

fix:
- (client) _evaluate -> evaluate


2016.03.07, v3.0.0

feature:
- (edward) add ability to use a couple instances on a page


2016.03.01, v2.9.2

feature:
- (bower) smalltalk v1.6.6


2016.02.20, v2.9.1

feature:
- (package) restafary v1.6.0


2016.02.01, v2.9.0

feature:
- (edward) add socketPath
- (bower) loadremote v1.2.0


2016.01.28, v2.8.3

feature:
- (modules) socket.io v1.4.5


2016.01.25, v2.8.2

feature:
- (index) add focus


2016.01.18, v2.8.1

feature:
- (bower) ace v1.2.3


2016.01.14, v2.8.0

feature:
- (client) add cutToClipboard, copyToClipboard, pasteFromClipboard


2016.01.10, v2.7.4

feature:
- (bower) smalltalk v1.6.5


2016.01.10, v2.7.3

feature:
- (package) socket.io v1.4.3


2015.12.29, v2.7.2

feature:
- (package) emitify v2.0.0


2015.12.09, v2.7.1

feature:
- (bower) smalltalk v1.6.4


2015.12.08, v2.7.0

feature:
- (edward) add refresh


2015.12.05, v2.6.2

feature:
- (bower) smalltalk v1.6.3


2015.12.05, v2.6.1

feature:
- (bower) smalltalk v1.6.2


2015.12.01, v2.6.0

feature:
- (client) add keyMap support


2015.11.23, v2.5.2

feature:
- (modules) pako v0.2.8


2015.11.17, v2.5.1

feature:
- (bower) ace v1.2.2


2015.11.06, v2.5.0

feature:
- (client) add Ctrl-E: JavaScript evaluation


2015.11.02, v2.4.11

feature:
- (bower) smalltalk v1.6.1


2015.11.02, v2.4.10

feature:
- (bower) smalltalk v1.6.0


2015.10.30, v2.4.9

feature:
- (ext) json: add .babelrc


2015.10.29, v2.4.8

feature:
- (bower) smalltalk v1.5.6


2015.10.28, v2.4.7

feature:
- (bower) ace v1.2.1


2015.10.28, v2.4.6

fix:
- (server) readEdit


2015.10.27, v2.4.5

feature:
- (server) copy: desctructive -> clean


2015.10.27, v2.4.4

fix:
- (server) serve: jshin


2015.10.27, v2.4.3

fix:
- (client) setModeForPath: name -> path


2015.10.26, v2.4.2

feature:
- (bower) execon v1.5.5


2015.10.21, v2.4.1

feature:
- (edward) execon v1.2.8


2015.10.05, v2.4.0

feature:
- (client) rm scrollToLine


2015.10.01, v2.3.7

feature:
- (bower) loadremote v1.1.1


2015.10.01, v2.3.6

feature:
- (bower) loadremote v1.1.0


2015.10.01, v2.3.5

feature:
- (bower) execon v1.2.7


2015.10.01, v2.3.4

feature:
- (bower) execon v1.2.6


2015.09.30, v2.3.3

feature:
- (bower) emitify v1.3.0


2015.09.30, v2.3.2

feature:
- (bower) smalltalk v1.5.2


2015.09.29, v2.3.1

feature:
- (bower) smalltalk v1.5.1


2015.09.28, v2.3.0

feature:
- (edward) add smalltalk dialogs


2015.09.26, v2.2.4

fix:
- (server) minify on restafary requirest

feature:
- (package) add bupdate


2015.09.21, v2.2.3

feature:
- (package) socket.io v1.3.7


2015.09.18, v2.2.2

fix:
- (server) .jshintrc path


2015.09.18, v2.2.1

fix:
- (jshintrc) jshintrc.json -> .jshintrc


2015.09.18, v2.2.0

feature:
- (edward) add ability to override jshint config


2015.09.18, v2.1.0

feature:
- (client) go to line: ctrl + l -> ctrl + g


2015.08.29, v2.0.4

fix:
- (server) rm memo


2015.08.29, v2.0.3

fix:
- (server) memo


2015.08.29, v2.0.2

feature:
- (edward) speed up routing with memo


2015.08.29, v2.0.1

fix:
- (edward) restafary: root


2015.08.24, v2.0.0

fix:
- (edward) improve prefix support
- (edward) getPath

feature:
- (edward) improve prefix support
- (package) bower v1.5.1
- (package) restafary v1.5.0


2015.08.11, v1.9.7

feature:
- (package) restafary v1.4.0


2015.07.21, v1.9.6

feature:
- (bower) execon v1.2.5


2015.07.20, v1.9.5

feature:
- (modules) socket.io v1.3.6


2015.07.14, v1.9.4

fix:
- (ace) worker-javascript: pre("typeof") - Cannot read property identifier of undefined


2015.07.13, v1.9.3

fix:
- (server) always return error -> when error.code === ENOENT -> ignore


2015.07.12, v1.9.2

feature:
- (package) rm try-catch


2015.07.12, v1.9.1

feature:
- (edward) get ~/.edward.json file on every request


2015.07.12, v1.9.0

feature:
- (edward) add support of external config ~/.edward.json


2015.07.11, v1.8.1

feature:
- (bower) pako v0.2.7
- (bower) ace v1.2.0


2015.07.10, v1.8.0

feature:
- (edward) add loadremote from bower


2015.07.07, v1.7.7

feature:
- (client) loadFiles: push -> filter, map


2015.07.07, v1.7.6

feature:
- (client) load loadRemote only when it is not loaded before


2015.06.30, v1.7.5

fix:
- (client) jsSHA


2015.06.29, v1.7.4

feature:
- (bower) jsSHA v2.0.1


2015.06.26, v1.7.3

feature:
- (package) rm mellow


2015.06.26, v1.7.2

fix:
- (client) /edward -> PREFIX


2015.06.21, v1.7.1

feature:
- (package) express v4.13.0


2015.06.17, v1.7.0

feature:
- (edit) add fontSize


2015.06.16, v1.6.11

feature:
- (bower) emitify v1.2.0


2015.06.12, v1.6.10

feature:
- (bower) ace 26.04.15


2015.06.04, v1.6.9

feature:
- (package) join-io v1.4.0


2015.06.03, v1.6.8

feature:
- (bower) execon v1.2.0
- (package) scripts: add bower


2015.05.29, v1.6.7

fix:
- (loadremote) pre overwrite when another module loads loadremote


2015.05.28, v1.6.6

fix:
- (edward) loadFiles if: "," -> ";"


2015.05.25, v1.6.5

fix:
- (client) onDragOver: on Mac OS


2015.05.21, v1.6.4

feature:
- (rendy) v1.1.0


2015.05.15, v1.6.3

feature:
- (restafary) v1.3.0


2015.05.14, v1.6.2

feature:
- (package) socket-file v1.2.0


2015.04.24, v1.6.1

fix:
- (loadremote) firefox getElementById: global[o.name] -> o.name && global[o.name]


2015.04.17, v1.6.0

feature:
- (edward) rm clearSelection


2015.04.08, v1.5.2

feature:
- (package) restafary v1.2.8


2015.04.07, v1.5.1

feature:
- (package) socket-file v1.1.0


2015.04.07, v1.5.0

feature:
- (server) add root
- (package) mellow v1.3.0


2015.04.07, v1.4.13

feature:
- (package) mellow v1.1.0


2015.04.03, v1.4.12

feature:
- (modules) ace v1.1.9


2015.04.03, v1.4.11

feature:
- (gitignore) modules/ace
- (jsSHA) v1.6.0
- (ace) v1.1.9


2015.03.27, v1.4.10

feature:
- (package) scripts: rm postinstall


2015.03.27, v1.4.9

feature:
- (modules) add


2015.03.20, v1.4.8

feature:
- (bower) jsSHA v1.6.0


2015.03.20, v1.4.7

feature:
- (edit) options wrap: 80 -> "free"


2015.03.19, v1.4.6

feature:
- (edit) options: wrap 80


2015.03.18, v1.4.5

feature:
- (package) socket.io v1.3.5


2015.03.10, v1.4.4

feature:
- (ext) json: add .yaspellerrc


2015.03.06, v1.4.3

feature:
- (package) add bower postinstall
- (bowerrc) add strict-ssl


2015.03.04, v1.4.2

fix:
- (edward) rm path


2015.03.04, v1.4.1

fix:
- (client) goToLine condition: number -> line


2015.02.27, v1.4.0

feature:
- (client) goToLine: Ctrl-g -> Ctrl-l
- (modules) ace: rm date


2015.02.25, v1.3.5

fix:
- (client) onSave: error always present


2015.02.25, v1.3.4

feature:
- (client) onSave: show error.message when exist
- (package) v1.3.3


2015.02.24, v1.3.3

fix:
- (client) onSave: restafary.write used without callback


2015.02.24, v1.3.2

fix:
- (server) o.pack -> o.zip


2015.02.24, v1.3.1

feature:
- (client) onSave: change message


2015.02.24, v1.3.0

feature:
- (edward) add once


2015.02.24, v1.2.4

feature:
- (bower) emitify v1.1.2


2015.02.24, v1.2.3

feature:
- (package) express v4.12


2015.02.23, v1.2.2

feature:
- (package) add socket-file


2015.02.23, v1.2.1

fix:
- (edward) read file from process.cwd path


2015.02.20, v1.2.0

feature:
- (edward) setUseOfWorker: private
- (edward) getSession: private
- (package) description: add ace
- (jshintrc) rm indent, not supported anymore by jshint


2015.02.19, v1.1.25

feature:
- (jshintrc) add indent: 4


2015.02.19, v1.1.24

feature:
- (edward) add highlighting of .jshintrc, .bowerrc, .jscsrc and .editorconfig


2015.02.17, v1.1.23

feature:
- (loadremote) findObjByNameInArr -> binom


2015.02.17, v1.1.22

feature:
- (loadremote) add arguments check


2015.02.15, v1.1.21

feature:
- (server) serve: rm isModules, isJshint


2015.02.14, v1.1.20

fix:
- (server) jshintrc, modules no load when minify:true


2015.02.13, v1.1.19

feature:
- (edward) get back droid sans mono v5: beter better cyrillic support


2015.02.11, v1.1.18

feature:
- (bower) emitify v1.1.1


2015.02.10, v1.1.17

feature:
- (bower) emitify v1.0.3


2015.02.10, v1.1.16

feature:
- (bower) emitify v1.0.1


2015.02.10, v1.1.15

feature:
- (bower) add emitify


2015.02.10, v1.1.14

feature:
- (loadremote) add error check


2015.02.09, v1.1.13

feature:
- (package) socket.io v1.3.3


2015.02.06, v1.1.12

fix:
- (socket) memory leack: listeners do not removed after disconnect


2015.02.06, v1.1.11

feature:
- (edward) add online: false


2015.02.05, v1.1.10

feature:
- (modules) rm remote
- (edward) rm modulesFunc


2015.02.05, v1.1.9

feature:
- (bower) load v1.1.4


2015.02.04, v1.1.8

feature:
- (font) Droid Sans Mono v7


2015.02.04, v1.1.7

feature:
- (index) add setOptions


2015.02.03, v1.1.6

fix:
- (loadremote) some: add return


2015.02.03, v1.1.5

feature:
- (edward) add chaining


2015.02.03, v1.1.4

feature:
- (client) speed up: load join.js and load.js in parallel only when they need


2015.02.02, v1.1.3

feature:
- (client) load join when it not loaded before


2015.02.02, v1.1.2

feature:
- docs(readme) add s


2015.02.02, v1.1.1

feature:
- (edward) add hot keys


2015.02.02, v1.1.0

feature:
- (edward) get /file -> socket.on(file)


2015.02.01, v1.0.12

feature:
- (client) loadFiles: load load.js only when it is not loadded


2015.02.01, v1.0.11

feature:
- (edward) add emmet


2015.01.31, v1.0.10

feature:
- (package) mellow v1.0.0


2015.01.31, v1.0.9

fix:
- (edward) convert path on win


2015.01.30, v1.0.8

fix:
- (edward) checkFile: error is null

feature:
- (package) rm try-catch


2015.01.30, v1.0.7

fix:
- (edward) log undefined

feature:
- (package) v1.0.6


2015.01.30, v1.0.6

feature:
- (edward) when no params show usage insteed of help


2015.01.30, v1.0.5

feature:
- (edward) add img


2015.01.30, v1.0.4

feature:
- (story) get, set -> get{Hash,Data}, set{Hash,Data}


2015.01.30, v1.0.3

feature:
- (edward) add checkFile


2015.01.30, v1.0.2

fix:
- (client) edward return: el -> edward


2015.01.30, v1.0.1

feature:
- (client) when el string - querySelector
- (index) addCommands


2015.01.29, v1.0.0

fix:
- (edward) restafary
- (client) story.get

feature:
- (index) set fontFamily, fontSize
- (font) add
- (package) add try-catch


2015.01.29, v0.6.3

fix:
- (style) add body
- (client) story: save -> set
- (index) edit -> js-edit
- (client) edward
- (client) edward: !options -> !callback

feature:
- (style) add .edit
- (package) add restafary


2015.01.29, v0.6.2

fix:
- (client) edward.css -> PREFIX + edward.css
- (loadremote) map

feature:
- (css) add
- (assets) add
- (edward) sendFile -> express.static


2015.01.29, v0.6.1

feature:
- (package) add socket.io


2015.01.29, v0.6.0

feature:
- (package) add express
- (socket) listen: size, socket -> socket, {size}


2015.01.29, v0.5.0

feature:
- (edward) add bin
- (package) v0.4.2
- (client) sha: sha1 -> sha


2015.01.29, v0.4.2

fix:
- (edward) config -> options

feature:
- (client) sha: sha1 -> sha
- (package) v0.4.1


2015.01.28, v0.4.1

fix:
- (edward) config -> options

feature:
- (package) v0.4.0


2015.01.28, v0.4.0

fix:
- (loadremote) o.pre -> Pre

feature:
- (bower) add jsSHA
- (bower) add load

